Loading...
Searching...
No Matches
mbedtls_pk_rsassa_pss_options Struct Reference

Options for RSASSA-PSS signature verification. See `mbedtls_rsa_rsassa_pss_verify_ext()`. More...

`#include <pk.h>`

## Data Fields

mbedtls_md_type_t | mgf1_hash_id
int | expected_salt_len

## Detailed Description

Options for RSASSA-PSS signature verification. See `mbedtls_rsa_rsassa_pss_verify_ext()`.

Definition at line 88 of file pk.h.

## Field Documentation

## expected_salt_len

int mbedtls_pk_rsassa_pss_options::expected_salt_len

The expected length of the salt, in bytes. This may be MBEDTLS_RSA_SALT_LEN_ANY to accept any salt length.

Note
  When #MBEDTLS_USE_PSA_CRYPTO is enabled, only MBEDTLS_RSA_SALT_LEN_ANY is valid. Any other value may be ignored (allowing any salt length).

Definition at line 106 of file pk.h.

## mgf1_hash_id

mbedtls_md_type_t mbedtls_pk_rsassa_pss_options::mgf1_hash_id

The digest to use for MGF1 in PSS.

Note
  When #MBEDTLS_USE_PSA_CRYPTO is enabled and MBEDTLS_RSA_C is disabled, this must be equal to the `md_alg` argument passed to mbedtls_pk_verify_ext(). In a future version of the library, this constraint may apply whenever #MBEDTLS_USE_PSA_CRYPTO is enabled regardless of the status of MBEDTLS_RSA_C.

Definition at line 97 of file pk.h.

The documentation for this struct was generated from the following file:

- pk.h